petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFunctionBegin

First executable line of each PETSc function, used for error handling. Final line of PETSc functions should be PetscFunctionReturn(0);

### Synopsis

    #include <petscsys.h>
    void PetscFunctionBegin;

Not Collective Many br

### Usage

         int something;

         PetscFunctionBegin;

Many br

### Notes

Use PetscFunctionBeginUser for application codes. Many br

Not available in Fortran Many br

Many br

### See Also

PetscFunctionReturn(), PetscFunctionBeginHot(), PetscFunctionBeginUser()

### Keywords

traceback, error handling

Level:developer
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex19.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex5.c.html
src/mat/examples/tutorials/ex8.c.html
src/mat/examples/tutorials/ex12.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html